figure
set(gcf,'units','normalized','outerposition',[0 0 1 1]);
subplot(4,3,1)
area(1:40,[NDEC(1,:,2)' DEC(1,:,2)'])
title('Decomposition of TFP shock: Unanticipated (red) and news (blue); full sample')
subplot(4,3,2)
area(1:40,[NDEC1(1,:,2)' DEC1(1,:,2)'])
title('Decomposition of TFP shock: Unanticipated (red) and news (blue); first sample')
subplot(4,3,3)
area(1:40,[NDEC2(1,:,2)' DEC2(1,:,2)'])
title('Decomposition of TFP shock: Unanticipated (red) and news (blue); second sample')


subplot(4,3,4)
area(1:40,[NDEC(2,:,2)' DEC(2,:,2)'])
title('Decomposition of OUT shock: Unanticipated (red) and news (blue); full sample')
subplot(4,3,5)
area(1:40,[NDEC1(2,:,2)' DEC1(2,:,2)'])
title('Decomposition of OUT shock: Unanticipated (red) and news (blue); first sample')
subplot(4,3,6)
area(1:40,[NDEC2(2,:,2)' DEC2(2,:,2)'])
title('Decomposition of OUT shock: Unanticipated (red) and news (blue); second sample')


subplot(4,3,7)
area(1:40,[NDEC(3,:,2)' DEC(3,:,2)'])
title('Decomposition of CONS shock: Unanticipated (red) and news (blue); full sample')
subplot(4,3,8)
area(1:40,[NDEC1(3,:,2)' DEC1(3,:,2)'])
title('Decomposition of CONS shock: Unanticipated (red) and news (blue); first sample')
subplot(4,3,9)
area(1:40,[NDEC2(3,:,2)' DEC2(3,:,2)'])
title('Decomposition of CONS shock: Unanticipated (red) and news (blue); second sample')


subplot(4,3,10)
area(1:40,[NDEC(4,:,2)' DEC(4,:,2)'])
title('Decomposition of HRS shock: Unanticipated (red) and news (blue); full sample')
subplot(4,3,11)
area(1:40,[NDEC1(4,:,2)' DEC1(4,:,2)'])
title('Decomposition of HRS shock: Unanticipated (red) and news (blue); first sample')
subplot(4,3,12)
area(1:40,[NDEC2(4,:,2)' DEC2(4,:,2)'])
title('Decomposition of HRS shock: Unanticipated (red) and news (blue); second sample')